import 'package:flutter/material.dart';

abstract class IDSAction<VM> {
  VM? vm;

  void initState();

  ///
  /// 当页面初始化的时候调用
  /// context             上下文的对象
  ///
  void initBuilder(BuildContext context) {}

  ///
  /// 组件被销毁时候调用；
  /// 通常在该方法中执行一些资源的释放工作，比如监听器的移除，channel的销毁等
  ///
  void dispose() {}
}
