import 'package:flutter/cupertino.dart';
import 'package:price_module/framework/model/ds_model.dart';
import 'package:provider/provider.dart';

class DSProvider<VO extends IDSModel> extends ChangeNotifierProvider<VO> {
  final VO vo;

  final Widget Function(
    BuildContext context,
    VO value,
    Widget? child,
  ) builderWidget;

  DSProvider.value({
    required this.vo,
    required this.builderWidget,
  }) : super.value(
          value: vo,
          child: Consumer<VO>(
            builder: builderWidget,
          ),
        );
}
