import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:price_module/framework/action/ds_action.dart';
import 'package:price_module/framework/model/ds_model.dart';
import 'package:provider/provider.dart';

class DSProviderWidget<VM extends IDSModel, T extends IDSAction<VM>> extends StatefulWidget {

  final T dsAction;
  final Widget? child;
  final Widget Function(BuildContext context,Widget? child) builder;

  const DSProviderWidget({Key? key,required this.dsAction,required this.builder,this.child}):super(key:key);
  @override
  _DSProviderWidgetState<VM,T> createState() => _DSProviderWidgetState<VM,T>();
}

class _DSProviderWidgetState<VM extends IDSModel,T extends IDSAction<VM>> extends State<DSProviderWidget<VM,T>> {

  T? action;

  Widget? get _child => widget.child;

  @override
  void initState() {
    action = widget.dsAction;
    action?.initState();
    super.initState();
  }
  
  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider<VM?>.value(
      value: action!.vm,
      child: Consumer<VM>(
        builder:(context,vm,child){
          action?.initBuilder(context);
          return widget.builder(context,child);
        },
        child: _child,
      ),
    );
  }

  @override
  void dispose() {
    action?.dispose();
    super.dispose();
  }
}