import 'package:price_module/framework/model/ds_model.dart';
import 'package:xiaoxiong_repository/entity/product_item_entity.dart';

class PriceDetailsVo extends IDSModel {
  String? productId;
  List<String?>? itemPic;
  String? itemTitle;
  String? subTitle;
  String? description;
  String? status;
  //商品的ItemId
  String? itemId;
  //平台Id
  String? platform;
  //平台名称
  String? platformText;
  //喜欢次数
  String? likeTimes;
  //收藏次数
  String? collegeTimes;
  //是否喜欢和收藏
  bool isLike = false;
  bool isFavorites = false;
  //Button按钮的文字
  String? buttonText;
  String? price;
  String? endPrice;
  //发布时间
  String? releaseTime;
  String? checkText;
  //分享文字和分享URL
  String? shareUrl;
  String? shareMessage;
  //优惠卷
  List<Coupon> coupons = [];
  //举报
  List<ReportModel>? reports = [];
  //优惠卷过期描述
  String? couponText;

  String? isOverdue;
  String? shopTitle;
  String? rebate;
  List<dynamic>? collectOrders;
  Map<String, dynamic>? newItemInfo;

  //商品推荐相关信息
  List<ProductItemEntity>? productEntitys;

  PriceDetailsVo({
    this.productId,
    this.itemPic,
    this.itemTitle,
    this.subTitle,
    this.description,
    this.itemId,
    this.platform,
    this.platformText,
    this.likeTimes,
    this.collegeTimes,
    this.isLike = false,
    this.isFavorites = false,
    this.buttonText,
    this.releaseTime,
    this.checkText,
    this.reports,
    this.shareUrl,
    this.shareMessage,
    this.price,
    this.endPrice,
    this.status,
    this.couponText,
    this.isOverdue,
    this.shopTitle,
    this.collectOrders,
    this.newItemInfo,
    this.productEntitys,
  });
}

class Coupon {
  String? url;
  String? name;
  String? status;
  Coupon({this.url, this.name, this.status});
}

class ReportModel {
  String? value;
  String? text;
  List<ReportModel>? sub = [];
  ReportModel({this.value, this.text, this.sub});
}
