import 'package:price_module/framework/model/ds_model.dart';
import 'package:xiaoxiong_repository/entity/product_item_entity.dart';

class PriceVo extends IDSModel {
  // 商品列表
  ProductListVo? productListVo;
  //筛选Tab
  TabListVo? tabListVo;

  // 快捷分类列表
  List<dynamic>? sellingTabs;

  PriceVo({this.productListVo, this.tabListVo, this.sellingTabs});
}

class TabListVo extends IDSModel {
  //分类
  List<TabVo> tabList = [];
  //快捷分类
  Map<String, dynamic>? sellTab;
  TabListVo({this.tabList = const [], this.sellTab});
}

class TabVo extends IDSModel {
  String? type;
  String? text;
  String? keyName;
  bool open = false;

  Map<String?, dynamic>? selected;

  List<dynamic>? structure;

  TabVo({this.type, this.text, this.keyName, this.structure, this.selected});

  TabVo.fromJson(String type, Map<String, dynamic> json) {
    this.type = type;
    this.text = '${json['text']}';
    this.keyName = '${json['key_name']}';
    this.structure = [];
    if (json['structure'] != null && json['structure'] is List) {
      this.structure = List.from(json['structure']);
    }
  }
}

class ProductListVo extends IDSModel {
  bool? isGrid = false;
  List<ProductItemEntity> productList = [];
  ProductListVo({this.productList = const [], this.isGrid = false});
}
