import 'dart:ui';

import 'package:flutter/cupertino.dart';

class TextSize {
  ///
  /// 计算文字大小
  /// [context]       上下文对象
  /// [value]         文字
  /// [fontSize]      字体大小
  /// [fontWeight]    字重
  /// [maxWidth]      最大宽度
  /// [maxLines]      最大行
  ///
  static Size calculateTextSize(
    BuildContext context, {
    String? value,
    double? fontSize,
    FontWeight? fontWeight,
    required double maxWidth,
    int? maxLines,
  }) {
    TextPainter painter = TextPainter(
        ///AUTO：华为手机如果不指定locale的时候，该方法算出来的文字高度是比系统计算偏小的。
        locale: Localizations.localeOf(context),
        maxLines: maxLines,
        textDirection: TextDirection.ltr,
        text: TextSpan(
            text: value,
            style: TextStyle(
              fontWeight: fontWeight,
              fontSize: fontSize,
            )));
    painter.layout(maxWidth: maxWidth);

    ///文字的宽度:painter.width
    return Size(painter.width, painter.height);
  }
}
