class TimeUtils {

  static String formatTimeLeft2({int timestamp=0}){
    try {
      if(timestamp<60){
        return '00分${'$timestamp'.padLeft(2,'0')}秒';
      }else if(timestamp < 60 * 60){
        String minute = '${(timestamp ~/ 60)}';
        String seconds = '${timestamp % 60}';
        return '${minute.padLeft(2, '0')}分${seconds.padLeft(2, '0')}秒';
      }
    } catch (e) {
    }
    return '00分00秒';
  }

  static String formatTimeLeft1({int timestamp=0}){
    try {
      if(timestamp<60){
        return '00:${'$timestamp'.padLeft(2,'0')}';
      }else if(timestamp < 60 * 60){
        String minute = '${(timestamp ~/ 60)}';
        String seconds = '${timestamp % 60}';
        return '${minute.padLeft(2, '0')}:${seconds.padLeft(2, '0')}';
      }
    } catch (e) {
    }
    return '00:00';
  }

  static String formatTimeLeft({String timestamp='0'}){
    try {
      int time = int.parse(timestamp);
      if(time<60){
        return '00分${timestamp.padLeft(2, '0')}秒';
      }else if(time < 60 * 60 * 60){
        String minute = '${(time ~/ 60)}';
        String seconds = '${time % 60}';
        return '${minute.padLeft(2, '0')}分${seconds.padLeft(2, '0')}秒';
      }
    } catch (e) {
    }
    return '0';
  }

  static String formatTime({required String timestamp}) {
    int time = int.parse(timestamp);
    DateTime dateTime = DateTime.fromMillisecondsSinceEpoch(time * 1000);
    DateTime endDate = new DateTime.now();
    Duration duration = endDate.difference(dateTime);
    String releaseMsg = '';
    if (duration.inSeconds < 60) {
      releaseMsg = '${duration.inSeconds}秒前';
    } else if (duration.inMinutes < 60) {
      releaseMsg = '${duration.inMinutes}分钟前';
    } else if (duration.inHours <= 4) {
      releaseMsg = '${duration.inHours}小时前';
    } else {
      String hour = '${dateTime.hour}'.padLeft(2, '0');
      String minute = '${dateTime.minute}'.padLeft(2, '0');
      if (endDate.day == dateTime.day) {
        //当天
        releaseMsg = '$hour:$minute';
      } else if (endDate.day - dateTime.day == 1 ||
          (duration.inDays <= 1 && duration.inHours < 48)) {
        releaseMsg = '昨日 $hour:$minute';
      } else if (endDate.day - dateTime.day == 2 ||
          (duration.inDays <= 2 && duration.inHours < 72)) {
        releaseMsg = '前天 $hour:$minute';
      } else if (duration.inDays > 2 && endDate.year == dateTime.year) {
        String month = '${dateTime.month}'.padLeft(2, '0');
        String day = '${dateTime.day}'.padLeft(2, '0');
        releaseMsg = '$month-$day $hour:$minute';
      } else {
        String year = '${dateTime.year}'.padLeft(4, '0');
        String month = '${dateTime.month}'.padLeft(2, '0');
        String day = '${dateTime.day}'.padLeft(2, '0');
        releaseMsg = '$year-$month-$day $hour:$minute';
      }
    }
    return releaseMsg;
  }
}
