import 'package:flutter/material.dart';

class ImageAnimationWidget extends StatelessWidget {

  final ValueNotifier<int>? valueNotifier;
  final List<String>? images;
  final String? package;
  final double? width;
  final double? height;

  const ImageAnimationWidget({ Key? key,required this.valueNotifier,required this.images,this.package,this.width,this.height}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ValueListenableBuilder<int>(
      valueListenable: valueNotifier!,
      builder: (BuildContext context, int value, Widget? child) {
        String image;
        if(value>=0 && value < images!.length){
          image = images![value];
        }else{
          image = images![0];
        }
        return Image.asset(image,package:package,gaplessPlayback: true,width:width,height:height,);
      }
    );
  }
}