import 'package:flutter/material.dart';

Widget buildAppSearchBar({
  double height = 48,
  Decoration? decoration,
  EdgeInsetsGeometry? margin,
  EdgeInsetsGeometry? padding,
  Widget? left,
  Widget? child,
  Widget? right,
}) {
  return PreferredSize(
    child: SafeArea(
      child: Container(
        padding:padding,
        height: height,
        decoration:decoration,
        margin: margin,
        child: Row(
          crossAxisAlignment:CrossAxisAlignment.center,
          children: [
            if (left != null) left,
            Expanded(child: child == null ? Container() : child, flex: 1),
            if (right != null) right,
          ],
        ),
      ),
    ),
    preferredSize: Size.fromHeight(height),
  );
}
