import 'package:flutter/material.dart';

///
/// [image]               商品图片
/// [title]               商品标题
/// [price]               商品价格
/// [platform]            商品平台  如:京东：17:30
///
class ItemProduct extends StatelessWidget {
  final Widget image;
  final double? height;
  final Decoration? decoration;
  final EdgeInsetsGeometry? margin;

  final EdgeInsetsGeometry? rightMargin;

  final Widget title;

  final Widget? price;
  final Widget? platform;

  final void Function()? onTap;

  const ItemProduct({
    Key? key,
    required this.image,
    this.height,
    this.decoration,
    this.margin,
    this.rightMargin,
    required this.title,
    this.platform,
    this.price,
    this.onTap
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(child:Container(
      decoration:decoration,
      height: height,
      margin: margin,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          image,
          Expanded(child:Container(margin:rightMargin,child:Column(crossAxisAlignment: CrossAxisAlignment.start,children: [
            title,
            Expanded(child:price!,flex:1,),
            platform!
          ],)))
        ],
      ),
    ),onTap: onTap,);
  }
}
