import 'package:flutter/material.dart';
import 'package:price_module/widget/image/image_widget.dart';
import 'package:common_module/utils/xapp_utils.dart';

// 
Future<T?> showPopBottomSheet<T>({required BuildContext context,String? pageName,Map<String,dynamic>? extras,required List<Map<String, dynamic>> items}){
  return showModalBottomSheet(
      context: context,
      builder: (BuildContext context) {
        return Container(
            decoration: BoxDecoration(
                color: Colors.white,
                borderRadius: BorderRadius.vertical(top: Radius.circular(20))),
            child: SafeArea(
                child: ListView(
                    shrinkWrap: true,
                    physics: NeverScrollableScrollPhysics(),
                    children: [
                  Container(
                      height: 114,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius:
                              BorderRadius.vertical(top: Radius.circular(20))),
                      child: Row(
                        children: List.generate(
                            items.length,
                            (index) => _buildShareWidget(
                                context, '${items[index]['key']}',
                                name: '${items[index]['name']}',
                                title: '${items[index]['title']}',
                                extras: extras)),
                      )),
                  InkWell(
                    child: Container(
                      height: 49.w,
                      decoration: BoxDecoration(
                          color: Colors.white,
                          border: Border(
                              top: BorderSide(
                                  color: Color(0xFFE9E9E9), width: 0.6))),
                      alignment: Alignment.center,
                      child: Text(
                        '取消',
                        style:
                            TextStyle(color: Color(0xFF666666), fontSize: 15),
                      ),
                    ),
                    onTap: () {
                      Navigator.maybePop(context);
                    },
                  )
                ])));
      });
}


Widget _buildShareWidget(BuildContext context, String key,
    {required String name,
    required String title,
    Map<String, dynamic>? extras = const {}}) {
  return Expanded(
    child:InkWell(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          ImageWidget(name: name,width: 48),
          Container(margin: EdgeInsets.only(top: 8),child: Text(title,style: TextStyle(color: Color(0xFF333333), fontSize: 12),))
        ],
      ),
      onTap: () {
        Navigator.maybePop(context, key);
      }
    )
  );
}