import 'package:flutter/cupertino.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

class PullWidget extends StatelessWidget {
  final Widget? child;
  final VoidCallback? onRefresh;
  final VoidCallback? onLoad;
  final RefreshController? controller;
  final ScrollController? scrollController;

  PullWidget(
      {this.child,
      this.onRefresh,
      this.onLoad,
      this.controller,
      this.scrollController}) {
    assert(this.child != null);
  }

  @override
  Widget build(BuildContext context) {
    return SmartRefresher(
      scrollController: scrollController,
      controller: controller!,
      enablePullDown: onRefresh != null,
      enablePullUp: onLoad != null,
      onRefresh: onRefresh,
      onLoading: onLoad,
      child: child,
    );
  }
}
