import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:common_module/utils/xapp_utils.dart';


Widget buildTabbarButton({required String title,required String tabBarType,TabbarController? controller}){
  return Container(child:Column(mainAxisAlignment:MainAxisAlignment.center,children: [
    Container(
      width:24.w,
      height:24.w,
      child:TabbarWidget(
        controller:(controller)=>controller,
        tabBarType:tabBarType,
      )
    ),
    Text(title,style:TextStyle(color:Color(0xFF666666),fontSize:10.w),)
  ]));
}



class TabbarWidget extends StatefulWidget {
  final Function(TabbarController) controller;
  final String tabBarType;
  const TabbarWidget({ Key? key,required this.controller,required this.tabBarType}) : super(key: key);

  @override
  _TabbarWidgetState createState() => _TabbarWidgetState();
}

class _TabbarWidgetState extends State<TabbarWidget> with TabbarController,SingleTickerProviderStateMixin{

  late Animation<double> _animation;
  late AnimationController _controller;
  int interval = 200;
  List<Image> images=[];


  ValueNotifier<int> index = ValueNotifier(0);

  @override
  void initState() {
    images.clear();
    for (var i = 0; i < 10; i++) {
      images.add(Image.asset('assets/tabbar/${widget.tabBarType}/$i.png',gaplessPlayback: true));
    }
    widget.controller(this);
    _controller = AnimationController(
      vsync: this,
      duration: Duration(milliseconds: 1000),
      reverseDuration: Duration(milliseconds: 1000),
      upperBound: images.length.toDouble() - 1,
      lowerBound: 0,
    );
    _controller.addListener(() {
      index.value = _controller.value.toInt();
    });
    _animation=Tween<double>(begin: 0,end: images.length.toDouble()).animate(_controller);
    _animation.addStatusListener((status) {
      //if (status==AnimationStatus.completed) {_controller.forward(from: 0);} //循环执行动画
    });
    super.initState();
  }

  @override
  void testMethod(int index) {
    if(_controller.value.toInt() == 9){
    _controller.reverse(from:9);
    }else{
    _controller.forward(from:0);
    }
    print("========>index:$index   ${images.length}   value:${_controller.value.toInt()}");
  }

  @override
  Widget build(BuildContext context) {
    return ValueListenableBuilder<int>(
      valueListenable: index,
      builder: (BuildContext context, int value, Widget? child) {
        return images[value];
      }
    );
  }

}

abstract class TabbarController {

  void testMethod(int index);
}